PooledConnectionImpl
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.xml.databases.existlibrary
Class PooledConnectionImpl

    java.lang.Object
      org.gcube.common.xml.databases.existlibrary.PooledConnectionImpl

All Implemented Interfaces:
  PooledConnection

    public class PooledConnectionImpl

extends java.lang.Object
implements PooledConnection

Partial implementation of a pooled XML DB connection

Author:
  Lucio Lelii (CNR)

Nested Class Summary

Nested classes/interfaces inherited from interface org.gcube.common.xml.databases.existlibrary.PooledConnection
`PooledConnection.NoConnectionAvailableException`

Constructor Summary
`PooledConnectionImpl()` PooledConnectionImpl constructor

Method Summary
`XMLResource` | `createXMLResource(java.lang.String name, java.lang.Object content)` Creates a XMLResource
`Collection` | `getRootCollection()` Return the root collection
`void` | `repairConnection()` repairs the Connection

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PooledConnectionImpl

    public PooledConnectionImpl()
                         throws PooledConnection.NoConnectionAvailableException

  PooledConnectionImpl constructor

  Throws:
    `NoConnectionAvailableException`
    `PooledConnection.NoConnectionAvailableException`

Method Detail

### getRootCollection

    public Collection getRootCollection()
                                 throws Collection.CollectionException

  Description copied from interface: `PooledConnection`
  Return the root collection

  Specified by:
    `getRootCollection` in interface `PooledConnection`
  Returns:
    Collection the root Collection
  Throws:
    `Collection.CollectionException` - if something fails

### repairConnection

    public void repairConnection()
                          throws PooledConnection.NoConnectionAvailableException

  repairs the Connection

  Specified by:
    `repairConnection` in interface `PooledConnection`
  Throws:
    `PooledConnection.NoConnectionAvailableException`

### createXMLResource

    public XMLResource createXMLResource(java.lang.String name,
                                         java.lang.Object content)
                                  throws Collection.CollectionException

  Creates a XMLResource

  Specified by:
    `createXMLResource` in interface `PooledConnection`
  Parameters:
    `name` -
    `content` - resource content
  Returns:
  Throws:
    `Collection.CollectionException` - is something fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD